/**
 * Fonction utilitaire sur les fichiers
 */
const fs = require('fs');

module.exports.exist = function (path, show = false) {
    try {
        return fs.existsSync(path);
    } catch (err) {
        if (show) {
            console.log(err);
        }
        return false;
    }
};

module.exports.makedir = function (path, isFilePath = false) {
    if (isFilePath) {
        let split = path.split('/');
        delete split[split.length - 1];
        path = split.join('/');
    }
    if (!module.exports.exist(path)) {
        fs.mkdirSync(path, {recursive: true});
    }
};
